Bug 229703 - devel/pcre2: Update to 10.31
Summary: devel/pcre2: Update to 10.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-11 15:18 UTC by Adam Weinberger
Modified: 2018-08-15 19:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
10.31 (4.64 KB, patch)
2018-07-11 15:18 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2018-07-11 15:18:11 UTC
Created attachment 195054 [details]
10.31

Hi Mark,

The attached patch updates pcre2 to 10.31. You'll need to svn rm files/patch-CVE-2016-3191 before committing.

The pcre2 port is about 2.5 years out-of-date, so lots of things have changed. I've tested against every port I could reasonably build, but I don't know if an exp-run is warranted here or not.
Comment 1 Adam Weinberger freebsd_committer 2018-07-31 18:28:45 UTC
Hi Mark,

Have you had a chance to look at this?
Comment 2 commit-hook freebsd_committer 2018-08-15 19:09:22 UTC
A commit references this bug:

Author: adamw
Date: Wed Aug 15 19:09:01 UTC 2018
New revision: 477253
URL: https://svnweb.freebsd.org/changeset/ports/477253

Log:
  Update pcre2 to 10.31

  PR:		229703
  Approved by:	maintainer (feld)

Changes:
  head/devel/pcre2/Makefile
  head/devel/pcre2/distinfo
  head/devel/pcre2/files/patch-CVE-2016-3191
  head/devel/pcre2/pkg-plist
Comment 3 Adam Weinberger freebsd_committer 2018-08-15 19:10:00 UTC
Committed. Thanks, Mark!